IBM Security Resilient

Expand all | Collapse all

fn_utilities Installation Issue

  • 1.  fn_utilities Installation Issue

    Posted Thu March 12, 2020 12:11 PM
      |   view attached
    Hi,
    I have windows machine as integration server where I have installed fn_utilities app. It shows that app is installed but when I run "resilient-circuits list" it gives me below output.
     Can anyone please help me here. I am really stuck at this from two days. I have ran out of all options.

    Thanks.

    ------------------------------
    Majid Jahangeer
    ------------------------------


  • 2.  RE: fn_utilities Installation Issue

    Posted Fri March 13, 2020 06:28 AM

    If I remember well, and if you do the installation, there is an error at the end that say package "six" is not on the correct version. Linux's dependencies classic issues...

    You need to update it : sudo pip install -- upgrade six
    Then install fn_utilities

    Correct me if I am wrong...



    ------------------------------
    BENOIT ROSTAGNI
    ------------------------------



  • 3.  RE: fn_utilities Installation Issue

    Posted Fri March 13, 2020 10:27 AM
    Hi Majid

    What version of python are you using?  I see Python38 in the image you posted.
    We do not recommend Python 3.8 at this time.  We recommend Python 3.6.8 as that will
    be the version supported in the Resilient core. 

    We we will be releasing V1.0.12 of fn_utilities any day now that will fix the issues with the version
    of six and also address other Python 3 issues.

    AnnMarie

    ------------------------------
    AnnMarie Norcross
    ------------------------------